diff --git a/web/pgadmin/browser/server_groups/servers/templates/depends/gpdb/5_plus/role_dependencies.sql b/web/pgadmin/browser/server_groups/servers/templates/depends/gpdb/5_plus/role_dependencies.sql
index c3a3ba29c..bd225e39f 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/depends/gpdb/5_plus/role_dependencies.sql
+++ b/web/pgadmin/browser/server_groups/servers/templates/depends/gpdb/5_plus/role_dependencies.sql
@@ -3,6 +3,6 @@ FROM pg_shdepend dep
 LEFT JOIN pg_roles r ON refclassid=1260 AND refobjid=r.oid
 {{where_clause}}
 {% if db_name %}
- AND dep.dbid = (SELECT oid FROM pg_database WHERE datname = '{{db_name}}')
+ AND dep.dbid = (SELECT oid FROM pg_database WHERE datname = {{ db_name|qtLiteral }})
 {% endif %}
 ORDER BY 1
diff --git a/web/pgadmin/browser/server_groups/servers/templates/depends/pg/9.1_plus/role_dependencies.sql b/web/pgadmin/browser/server_groups/servers/templates/depends/pg/9.1_plus/role_dependencies.sql
index c3a3ba29c..bd225e39f 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/depends/pg/9.1_plus/role_dependencies.sql
+++ b/web/pgadmin/browser/server_groups/servers/templates/depends/pg/9.1_plus/role_dependencies.sql
@@ -3,6 +3,6 @@ FROM pg_shdepend dep
 LEFT JOIN pg_roles r ON refclassid=1260 AND refobjid=r.oid
 {{where_clause}}
 {% if db_name %}
- AND dep.dbid = (SELECT oid FROM pg_database WHERE datname = '{{db_name}}')
+ AND dep.dbid = (SELECT oid FROM pg_database WHERE datname = {{ db_name|qtLiteral }})
 {% endif %}
 ORDER BY 1
diff --git a/web/pgadmin/browser/server_groups/servers/templates/depends/ppas/9.1_plus/role_dependencies.sql b/web/pgadmin/browser/server_groups/servers/templates/depends/ppas/9.1_plus/role_dependencies.sql
index c3a3ba29c..bd225e39f 100644
--- a/web/pgadmin/browser/server_groups/servers/templates/depends/ppas/9.1_plus/role_dependencies.sql
+++ b/web/pgadmin/browser/server_groups/servers/templates/depends/ppas/9.1_plus/role_dependencies.sql
@@ -3,6 +3,6 @@ FROM pg_shdepend dep
 LEFT JOIN pg_roles r ON refclassid=1260 AND refobjid=r.oid
 {{where_clause}}
 {% if db_name %}
- AND dep.dbid = (SELECT oid FROM pg_database WHERE datname = '{{db_name}}')
+ AND dep.dbid = (SELECT oid FROM pg_database WHERE datname = {{ db_name|qtLiteral }})
 {% endif %}
 ORDER BY 1
